#/bin/bash

. tools/functions.sh

echo "[Compiling nexus-exam...]"
pushd .. > /dev/null
run_command make build_nexus-exam
if [[ "$ROOTFS_DIR" != /* ]]; then
  run_command mkdir -p live_exam_os/$ROOTFS_DIR/usr/local/bin
  run_command cp build/nexus-exam live_exam_os/$ROOTFS_DIR/usr/local/bin/nexus-exam
else
  run_command mkdir -p $ROOTFS_DIR/usr/local/bin
  run_command cp build/nexus-exam $ROOTFS_DIR/usr/local/bin/nexus-exam
fi
run_command make clean_client
popd > /dev/null
